EntityStats (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class EntityStats

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.EntityStats

All Implemented Interfaces:
  Serializable

    public class EntityStats

extends Object
implements Serializable

When we only support Java 6, all of this OpenMBean scaffolding can be removed in favor or MXBeans.

See Also:
  Serialized Form

Field Summary
`protected long` | `deleteCount` deleteCount
`protected long` | `fetchCount` fetchCount
`protected long` | `insertCount` insertCount
`protected long` | `loadCount` loadCount
`protected String` | `name` name
`protected long` | `optimisticFailureCount` optimisticFailureCount
`protected String` | `shortName` shortName
`protected long` | `updateCount` updateCount

Constructor Summary
`EntityStats(CompositeData cData)`
`EntityStats(String name)`
`EntityStats(String name, EntityStatistics src)`

Method Summary
`void` | `add(EntityStats stats)`
`static EntityStats[]` | `fromTabularData(TabularData tabularData)` fromTabularData
`long` | `getDeleteCount()` getDeleteCount
`long` | `getFetchCount()` getFetchCount
`long` | `getInsertCount()` getInsertCount
`long` | `getLoadCount()` getLoadCount
`String` | `getName()` getName
`long` | `getOptimisticFailureCount()` getOptimisticFailureCount
`String` | `getShortName()` getShortName
`long` | `getUpdateCount()` getUpdateCount
`static TabularData` | `newTabularDataInstance()` newTabularDataInstance
`CompositeData` | `toCompositeData()` toCompositeData
`String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected final String name

  name

### shortName

    protected final String shortName

  shortName

### loadCount

    protected long loadCount

  loadCount

### updateCount

    protected long updateCount

  updateCount

### insertCount

    protected long insertCount

  insertCount

### deleteCount

    protected long deleteCount

  deleteCount

### fetchCount

    protected long fetchCount

  fetchCount

### optimisticFailureCount

    protected long optimisticFailureCount

  optimisticFailureCount

Constructor Detail

### EntityStats

    public EntityStats(String name)

Parameters:
  `name` -

### EntityStats

    public EntityStats(String name,
                       EntityStatistics src)

Parameters:
  `name` -
  `src` -

### EntityStats

    public EntityStats(CompositeData cData)

Parameters:
  `cData` -

Method Detail

### add

    public void add(EntityStats stats)

  Parameters:
    `stats` -

### toString

    public String toString()

  toString

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

  getName

### getShortName

    public String getShortName()

  getShortName

### getLoadCount

    public long getLoadCount()

  getLoadCount

### getUpdateCount

    public long getUpdateCount()

  getUpdateCount

### getInsertCount

    public long getInsertCount()

  getInsertCount

### getDeleteCount

    public long getDeleteCount()

  getDeleteCount

### getFetchCount

    public long getFetchCount()

  getFetchCount

### getOptimisticFailureCount

    public long getOptimisticFailureCount()

  getOptimisticFailureCount

### toCompositeData

    public CompositeData toCompositeData()

  toCompositeData

### newTabularDataInstance

    public static TabularData newTabularDataInstance()

  newTabularDataInstance

### fromTabularData

    public static EntityStats[] fromTabularData(TabularData tabularData)

  fromTabularData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.